Bug 993571 - glusterfsd init file missing in 3.4.0-7.el6.x86_64 rpm
glusterfsd init file missing in 3.4.0-7.el6.x86_64 rpm
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.4.0
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 04:21 EDT by ashley.kitto
Modified: 2013-12-18 19:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 22:51:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ashley.kitto 2013-08-06 04:21:48 EDT
Description of problem:
On centos 6.4, using glusterfs-server-3.4.0-7.el6.x86_64.rpm, an error is generated during post-install scripts:
+ /sbin/chkconfig --add glusterfsd
error reading information on service glusterfsd: No such file or directory


Version-Release number of selected component (if applicable):
glusterfs-server-3.4.0-7.el6.x86_64.rpm

How reproducible:
Install glusterfs-server-3.4.0-7.el6.x86_64.rpm package

Steps to Reproduce:
1. rpm --install glusterfs-server-3.4.0-7.el6.x86_64.rpm

Actual results:
No /etc/init.d/glusterfsd file is created, and rpm output includes error:
error reading information on service glusterfsd: No such file or directory

Expected results:
/etc/init.d/glusterfsd is created and no error during rpm install

Additional info:
glusterfsd init script does not seem to be present in the package at all:

# rpm -q -l glusterfs-server
/etc/glusterfs
/etc/glusterfs/glusterd.vol
/etc/glusterfs/glusterfs-logrotate
/etc/init.d/glusterd
/etc/logrotate.d/glusterd
/etc/logrotate.d/glusterfsd
/etc/sysconfig/glusterd
/etc/sysconfig/glusterfsd
/usr/lib64/glusterfs/3.4.0/xlator/features/posix-locks.so
/usr/lib64/glusterfs/3.4.0/xlator/mgmt
/usr/lib64/glusterfs/3.4.0/xlator/mgmt/glusterd.so
/usr/lib64/glusterfs/3.4.0/xlator/nfs
/usr/lib64/glusterfs/3.4.0/xlator/nfs/server.so
/usr/lib64/glusterfs/3.4.0/xlator/protocol/server.so
/usr/lib64/glusterfs/3.4.0/xlator/storage
/usr/lib64/glusterfs/3.4.0/xlator/storage/bd_map.so
/usr/lib64/glusterfs/3.4.0/xlator/storage/posix.so
/usr/sbin/glusterd
/usr/share/doc/glusterfs-server-3.4.0
/usr/share/doc/glusterfs-server-3.4.0/clear_xattrs.sh
/var/lib/glusterd/glusterd.info
/var/lib/glusterd/glustershd
/var/lib/glusterd/groups
/var/lib/glusterd/hooks
/var/lib/glusterd/hooks/1
/var/lib/glusterd/hooks/1/add-brick
/var/lib/glusterd/hooks/1/add-brick/post
/var/lib/glusterd/hooks/1/add-brick/pre
/var/lib/glusterd/hooks/1/create
/var/lib/glusterd/hooks/1/create/post
/var/lib/glusterd/hooks/1/create/pre
/var/lib/glusterd/hooks/1/delete
/var/lib/glusterd/hooks/1/delete/post
/var/lib/glusterd/hooks/1/delete/pre
/var/lib/glusterd/hooks/1/remove-brick
/var/lib/glusterd/hooks/1/remove-brick/post
/var/lib/glusterd/hooks/1/remove-brick/pre
/var/lib/glusterd/hooks/1/set
/var/lib/glusterd/hooks/1/set/post
/var/lib/glusterd/hooks/1/set/pre
/var/lib/glusterd/hooks/1/start
/var/lib/glusterd/hooks/1/start/post
/var/lib/glusterd/hooks/1/start/pre
/var/lib/glusterd/hooks/1/stop
/var/lib/glusterd/hooks/1/stop/post
/var/lib/glusterd/hooks/1/stop/pre
/var/lib/glusterd/nfs
/var/lib/glusterd/nfs/nfs-server.vol
/var/lib/glusterd/nfs/run
/var/lib/glusterd/nfs/run/nfs.pid
/var/lib/glusterd/options
/var/lib/glusterd/peers
/var/lib/glusterd/vols
Comment 1 Harshavardhana 2013-08-12 22:51:10 EDT
GlusterfsD doesn't need init script and will not have one, in-fact it is handled by 'glusterd' dynamically which has its init script

# chkconfig --list | grep glusterd
glusterd        0:off   1:off   2:off   3:on    4:off   5:on    6:off

# glusterd --version
glusterfs 3.4.0 built on Jul 22 2013 18:18:46
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.

# rpm -qa | grep glusterfs-server
glusterfs-server-3.4.0-1.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.